@import 'reset';
@import 'fonts';
@import 'var';
@import 'burger_nav_menu';
@import 'footer';


body {
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
}

.header_img_wrap {
    margin-bottom: 35px;

    img {
        width: 100%;
    }
}

.section_title {
    font-weight: 700;
    font-size: 14px;
    margin-bottom: 25px;
    color: $section_title_color;
    text-transform: uppercase;

    @media (min-width: $size_tablet) {
        font-size: 22px;
    }
}

.our_recent_posts_wrap {

    .our_recent_posts_item {
        margin-bottom: 25px;

        img {
            width: 160px;
            height: 140px;
            object-fit: cover;
            object-position: center;
        }

        &_title {
            font-size: 14px;
            font-weight: 700;
            color: $section_title_color;
            line-height: 30px;

            @media (min-width: $size_tablet) {
                font-size: 16px;
            }
        }

        &_comments {
            font-size: 11px;
            font-weight: 400;
            line-height: 20px;
            color: $comments_color;
        }

        &_text {
            font-size: 14px;
            line-height: 26px;
            font-weight: 400;
            color: $post_text_color;
            display: none;

            @media (min-width: $size_tablet) {
                display: block;
            }
        }
    }

}

.our_recent_posts_item {
    @media (min-width: $size_tablet) {
        display: flex;

        &_info {
            margin-left: 20px;
            max-width: 450px;
        }
    }
}

@media (min-width: $sizePc) {
    .our_recent_posts_wrap {
        display: flex;
        flex-wrap: wrap;
    }

    .our_recent_posts_item {
        max-width: 50%;
    }
}

.last_instagram_shot_conteiner {
    padding: 50px 0;
    background-color: #00000002;
}

.section_title_wrap {
    display: flex;
    justify-content: space-between;

    @media (max-width: $size_tablet) {
        .r_hide_title {
            display: none;
        }
    }
}


.imgs_gal_conteiner {
    display: flex;

    .img_wrap {
        width: 300px;
        height: auto;
        position: relative;
        flex-wrap: wrap;
        display: none;

        &:first-child {
            display: flex;
        }

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: center;
        }
    }
}

@media (min-width: $size_tablet) {

    .last_instagram_shot_conteiner {
        background-color: #00000006;
    }

    .imgs_gal_conteiner {

        justify-content: space-around;

        .img_wrap {
            width: 250px;
            display: flex;
            margin-right: 10px;

            &:last-child {
                display: none;
                margin-right: 0;
            }
        }
    }
}

@media (min-width: $sizePc) {
    .imgs_gal_conteiner {

        .img_wrap {
            width: 285px;
            display: flex;
            margin-right: 10px;

            &:last-child {
                display: flex;
                margin-right: 0;
            }
        }
    }
}